package net.sf.dc.console.components;

import javax.swing.*;

import net.sf.dc.resources.DCLabels;
import net.sf.ext.util.Resources;

public class EditableComboBox extends JComboBox {

    public EditableComboBox() {
        super(new Object[] {"", Resources.getText(DCLabels.lblEmptySearchValue)});
        setEditable(true);
    }
    
    public void storeValue() {
        Object selectedItem = getSelectedItem();
        if (selectedItem.toString().trim().length() > 0) {
            boolean unique = true;
            for (int i = 1; i < getItemCount(); i++) {
                Object o = getItemAt(i);
                if (o.equals(selectedItem)) {
                    unique = false;
                    break;
                }
            }
            if (unique) insertItemAt(selectedItem, 2);
        }
    }
}