/******************************************************************************
 *                                     __                                     *
 *                              <-----/@@\----->                              *
 *                             <-< <  \\//  > >->                             *
 *                               <-<-\ __ /->->                               *
 *                               Data /  \ Crow                               *
 *                                   ^    ^                                   *
 *                       (c) 2003 The Data Crow team                          *
 *                              info@datacrow.net                             *
 *                                                                            *
 *                                                                            *
 *       This library is free software; you can redistribute it and/or        *
 *        modify it under the terms of the GNU Lesser General Public          *
 *       License as published by the Free Software Foundation; either         *
 *     version 2.1 of the License, or (at your option) any later version.     *
 *                                                                            *
 *      This library is distributed in the hope that it will be useful,       *
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU       *
 *           Lesser General Public License for more details.                  *
 *                                                                            *
 *     You should have received a copy of the GNU Lesser General Public       *
 *    License along with this library; if not, write to the Free Software     *
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA   *
 *                                                                            *
 ******************************************************************************/

package net.sf.dc.console.musicfile;

import javax.swing.JComponent;

import net.sf.dc.console.TableSearchPanel;
import net.sf.dc.core.IconLibrary;
import net.sf.dc.core.modules.DCModules;
import net.sf.dc.resources.DCLabels;
import net.sf.ext.util.Resources;

/**
 * Panel used for searching and updating existing Music items. Searching
 * is done by using condition (title like <value>) and using options such as
 * all conditions must applsy or the seperate conditions must apply
 *
 * @author Robert-Jan van der Waals
 * @since 1.3
 * @version 0.50
 */
public class SearchMusicFilePanel extends TableSearchPanel {

    public SearchMusicFilePanel() {
        super(DCModules.getModule(DCModules._MUSIC),
              Resources.getText(DCLabels.lblMusicFiles), 
              IconLibrary._icoExisting);
    }
    
    public void removeNewChild (String sID) {}
    
    public JComponent[] getExtraComponents() {
        return new JComponent[0];
    }
}

