package net.sf.ext.mediamanager;

/**
 * @(#)FilePropertiesMKV.java 1.0 06.06.05 (dd.mm.yy)
 *
 * Copyright (2003) Mediterranean
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2, or any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License aloSng with 
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Boston, MA 02111.
 * 
 * Contact: mediterranean@users.sourceforge.net
 **/

import java.io.FileInputStream;
import java.io.RandomAccessFile;

import net.sf.dc.messages.Messages;
import net.sf.ext.mediamanager.ebm.matroska.MatroskaFile;

class FilePropertiesMKV extends FileProperties {

	/**
	 * Processes a file from the given RandomAccessFile.
	 **/
	protected void process(RandomAccessFile dataStream) throws Exception {
		dataStream.seek(0);
		MatroskaFile matroskaFile = 
            new MatroskaFile(new FileInputStream(dataStream.getFD()));

		try {
			matroskaFile.readFile();
		} catch (Exception e) {
            Messages.add(e);
		}

		setDuration(matroskaFile.getDuration());
		matroskaFile.setData();
		setSubtitles(matroskaFile.getSubLang());
		setVideoCodec(matroskaFile.getVidCodec());
		setVideoResolution(matroskaFile.getResolution());
		setVideoRate(0);
		setVideoBitRate(0);
		setAudioCodec(matroskaFile.getAudCodec());
		setAudioRate(new Integer(matroskaFile.getAudRate()).intValue());
		try {
			setAudioBitRate(Integer.parseInt(matroskaFile.getLanguage()));
		} catch (Exception exp) {
            Messages.add(exp);
		}

		setContainer("MKV (Matroska)");
		try {
			setAudioChannels(new Integer(matroskaFile.getAudChannels()).intValue());
		} catch (Exception e) {
            Messages.add(e);
		}
	}
}
