package net.sf.ext.mediamanager.ebml;

import java.util.Date;
/**
 * <p>Title: JEBML</p>
 * <p>Description: Java Classes to Read EBML Elements</p>
 * <p>Copyright: Copyright (c) 2002-2004 John Cannon <spyder@matroska.org>, Jory Stone <jcsston@toughguy.net></p>
 * <p>Company: </p>
 * @author jcsston
 * @version 1.0
 */

public class DateElement extends UnsignedInteger {

  public DateElement(byte[] type) {
    super(type);
  }

  /**
   * Set the Date of this element
   * @param value Date to set
   */
  public void setDate(Date value) {
    this.setValue(value.getTime());
  }

  /**
   * Get the Date value of this element
   * @return Date of this element
   */
  public Date getDate() {
    return new Date(this.getValue());
  }

}